Autor Téma: Instalace software - problém  (Přečteno 1556 krát)

KITT

  • Newbie
  • *
  • Příspěvků: 13
  • Karma: +0/-0
    • Zobrazit profil
Instalace software - problém
« kdy: Červen 12, 2013, 20:02:16 »
Ahoj, jsem tu nový, nainstaloval jsem si Mageiu a chtěl jsem si nainstalovat Operu, ale když ji ve "Správci software" označím, zobrazí se mi "Je třeba nejprve aktualizovat aplikaci Rpmdrake nebo jednu z jejich prioritních závislostí. Aplikace Rpmdrake se poté restartuje". Aktualizoval jsem zdroje (několikrát), aktualizovat systém také nemůžu, jelikož to píše to stejné, co dělat, prosím?

Pozn. V Linuxu jsem začátečník, tak mějte při mých dotazech prosím trpělivost. :)

Peťoš

  • Administrator
  • Hero Member
  • *****
  • Příspěvků: 916
  • Karma: +17/-1
    • Zobrazit profil
    • Peťošův blog
Re:Instalace software - problém
« Odpověď #1 kdy: Červen 12, 2013, 20:04:27 »
staci klepnout na OK (ANO, nebo tak) a nainstalovat jen nove urpmi. Nic vic :)
Do it or do not. There is no "try".
Nutné čtení pro všehny! Jak se ptát na fóru: http://wiki.mageia.cz/wiki:jak_se_ptat_na_foru


Peťošův repozitář je na adrese: http://petos.cz/rpms
Fotoblog: http://vzducholode.blogspot.com a http://petos.cz/category/fotky

KITT

  • Newbie
  • *
  • Příspěvků: 13
  • Karma: +0/-0
    • Zobrazit profil
Re:Instalace software - problém
« Odpověď #2 kdy: Červen 13, 2013, 12:03:18 »
Funguje to! Děkuji.
A jakmile jsem aktualizoval urpmi, píše mi to toto:

Kód: [Vybrat]
Aby byly splněny závislosti, je třeba nainstalovat také následující balíčky:

- firefox-nb_NO-17.0.6-1.mga3.noarch
- firefox-nn_NO-17.0.6-1.mga3.noarch

A zobrazí se mi k aktualizaci firefox-el, -es, -et ,-cs, -lv, -pl atd. (snad 30 podobných balíčků), a pak ještě gurpmi, krb5, python-gobject, lib64pyglib apod., mám to všechno také aktualizovat?

Peťoš

  • Administrator
  • Hero Member
  • *****
  • Příspěvků: 916
  • Karma: +17/-1
    • Zobrazit profil
    • Peťošův blog
Re:Instalace software - problém
« Odpověď #3 kdy: Červen 13, 2013, 12:04:52 »
To jsou jazykove varianty. Ty chces vzdycky -cs. No a ano, to vsechno taky aktualizuj.
Do it or do not. There is no "try".
Nutné čtení pro všehny! Jak se ptát na fóru: http://wiki.mageia.cz/wiki:jak_se_ptat_na_foru


Peťošův repozitář je na adrese: http://petos.cz/rpms
Fotoblog: http://vzducholode.blogspot.com a http://petos.cz/category/fotky

KITT

  • Newbie
  • *
  • Příspěvků: 13
  • Karma: +0/-0
    • Zobrazit profil
Re:Instalace software - problém
« Odpověď #4 kdy: Červen 13, 2013, 12:06:39 »
Takže všechny ostatní jazykové varianty odškrtnout?

Peťoš

  • Administrator
  • Hero Member
  • *****
  • Příspěvků: 916
  • Karma: +17/-1
    • Zobrazit profil
    • Peťošův blog
Re:Instalace software - problém
« Odpověď #5 kdy: Červen 13, 2013, 12:08:41 »
Aktualizuje se to, co mas nainstalovano. Pokud jsi instlaoval vsechny jazykove mutace (a nebo jsi instaloval z LiveCD a nenechal system odstranit nepotrebne baliky), tak se ti budou aktualizovat logicky vsechny.
Do it or do not. There is no "try".
Nutné čtení pro všehny! Jak se ptát na fóru: http://wiki.mageia.cz/wiki:jak_se_ptat_na_foru


Peťošův repozitář je na adrese: http://petos.cz/rpms
Fotoblog: http://vzducholode.blogspot.com a http://petos.cz/category/fotky

KITT

  • Newbie
  • *
  • Příspěvků: 13
  • Karma: +0/-0
    • Zobrazit profil
Re:Instalace software - problém
« Odpověď #6 kdy: Červen 13, 2013, 12:13:25 »
Aha, instaloval jsem z LiveCD, ale bylo doporučeno nedávat pryč nepotřebné balíky, tak jsem je nainstaloval, nemusel jsem tedy?

eda

  • Jr. Member
  • **
  • Příspěvků: 78
  • Karma: +0/-1
    • Zobrazit profil
Re:Instalace software - problém
« Odpověď #7 kdy: Červen 13, 2013, 21:18:39 »
Nemusel, jen je potřeba větší disk. I když při dnešních velikostech disků...
Problém je jen při aktualizacích, kdy stahuješ větší objem dat a zabere to více času.
Otevřít správce souborů a odstranit nepotřebné jazykové mutace.
Mageia 4/64 bit - KDE 4.12
AMD Athlon II X4 640, NVIDIA GeForce 750

Ivko

  • Sr. Member
  • ****
  • Příspěvků: 272
  • Karma: +2/-1
    • Zobrazit profil
Re:Instalace software - problém
« Odpověď #8 kdy: Červen 13, 2013, 21:38:49 »
Zbytočné lokalizácie odstrániš príkazom:
Kód: [Vybrat]
/usr/sbin/remove-unused-packagesSamozrejme ako root.
Mageia 6/64 bit
Plasma5